<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddGuruRoleToUsersTable extends Migration
{
    public function up()
    {
        $this->db->query("ALTER TABLE users MODIFY COLUMN role ENUM('superadmin','admin','operator','guru') NOT NULL DEFAULT 'operator'");
    }

    public function down()
    {
        $this->db->query("ALTER TABLE users MODIFY COLUMN role ENUM('superadmin','admin','operator') NOT NULL DEFAULT 'operator'");
    }
}